#!/bin/sh

if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
	FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
elif [ -x /usr/bin/ao-flash-lpc ]; then
	FLASH_LPC=/usr/bin/ao-flash-lpc
else
	echo "Can't find ao-flash-lpc!  Aborting."
	exit 1
fi

if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
	USBLOAD=../ao-tools/ao-usbload/ao-usbload
elif [ -x /usr/bin/ao-usbload ]; then
	USBLOAD=/usr/bin/ao-usbload
else
	echo "Can't find ao-usbload!  Aborting."
	exit 1
fi

VERSION=1.0
PRODUCT=EasyMini
BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
echo $FILE

echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
echo "Copyright 2010 by Bdale Garbee.  Released under GPL v2"
echo
echo "Expectations:"
echo "\t$PRODUCT v$VERSION powered from USB"
echo "\t\twith ST-Link-V2 cabled to debug header"
echo

case $# in
    1)
	SERIAL="$1"
	echo "$PRODUCT-$VERSION serial number: $SERIAL" 
	;;
    0)
	echo -n "$PRODUCT-$VERSION serial number: "
	read SERIAL
	;;
    *)
	echo "Usage: $0 <serial-number>" 1>&2
	exit 1;
	;;
esac

#
# Use released versions of everything
#
FLASH_FILE=~/altusmetrumllc/Binaries/loaders/easymini-v1.0-altos-flash-*.elf
ALTOS_FILE=~/altusmetrumllc/Binaries/easymini-v1.0-*.elf

#FLASH_FILE=../src/$BASE-v$VERSION/flash-loader/$BASE-v$VERSION-altos-flash-*.elf
#ALTOS_FILE=../src/$BASE-v$VERSION/*.ihx

echo $FLASH_LPC $FLASH_FILE

$FLASH_LPC $FLASH_FILE || exit 1

sleep 1

echo $USBLOAD $ALTOS_FILE

$USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1

sleep 1

./test-easymini-v1.0

exit $?
